:host {
  display: flex;
  justify-content: center;
}

.form-container {
  display: flex;
}

.form-block {
  max-width: 400px;
  background: white;
  padding: 30px 40px 10px;
  overflow: hidden;
  display: block;
}

h3 {
  text-align: center;
  font-size: 22px;
  margin: 0 0 20px;
}

.form-group {
  margin-bottom: 20px;
  float: left;
  width: 100%;

  .form-control {
    box-sizing: border-box;
  }
}

.form-control {
  width: 100%;
  display: block;
  padding: 15px 15px 14px;
  border: 2px solid #e7e7e7;
  outline: none;
  font-size: 15px;
  color: #444444;
  background: #fcfcfc;
}

.form-control:focus {
  border: 2px solid #d3d3d6;
}

.form-container .btn {
  width: 100%;
  border: none;
  font-size: 16px;
  font-weight: 600;
  padding: 15px 0;
  background: #f96ea8;
  color: #ffffff;
  cursor: pointer;
  outline: none;
}

.form-container .btn:hover {
  opacity: 0.88;
}

.form-container .oauth-btn {
  background: #4dd5fe;
}

.or {
  text-align: center;
  display: block;
  color: #a0a0a0;
  background: white;
  position: relative;
  margin: 5px 0 0;

  span {
    background: white;
    display: inline-block;
    z-index: 4;
    position: relative;
    padding: 0 12px;
  }

  &:before {
    position: absolute;
    content: "";
    left: 0;
    top: 11px;
    width: 100%;
    height: 1px;
    background: #e2e2e2;
  }
}

.forgot-password {
  text-align: center;
  margin: -12px 0 15px 0;
  float: left;
  width: 100%;

  span {
    color: #4dd5fe;
    font-size: 14px;
    font-weight: 400;
    cursor: pointer;
    display: inline-block;
    padding-top: 20px;
  }
}
